Loading...
Searching...
No Matches
sdbus::MethodCall Class Reference
Inheritance diagram for sdbus::MethodCall:

## Public Member Functions

MethodReply | send (uint64_t timeout) const
Slot | send (void *callback, void *userData, uint64_t timeout, return_slot_t) const
MethodReply | createReply () const
MethodReply | createErrorReply (const sdbus::Error &error) const
void | dontExpectReply ()
bool | doesntExpectReply () const
Public Member Functions inherited from sdbus::Message
| Message (const Message &) noexcept
Message & | operator= (const Message &) noexcept
| Message (Message &&other) noexcept
Message & | operator= (Message &&other) noexcept
Message & | operator<< (bool item)
Message & | operator<< (int16_t item)
Message & | operator<< (int32_t item)
Message & | operator<< (int64_t item)
Message & | operator<< (uint8_t item)
Message & | operator<< (uint16_t item)
Message & | operator<< (uint32_t item)
Message & | operator<< (uint64_t item)
Message & | operator<< (double item)
Message & | operator<< (const char *item)
Message & | operator<< (const std::string &item)
Message & | operator<< (std::string_view item)
Message & | operator<< (const Variant &item)
template<typename ... Elements>
Message & | operator<< (const std::variant< Elements... > &value)
Message & | operator<< (const ObjectPath &item)
Message & | operator<< (const Signature &item)
Message & | operator<< (const UnixFd &item)
template<typename _Element, typename _Allocator>
Message & | operator<< (const std::vector< _Element, _Allocator > &items)
template<typename _Element, std::size_t _Size>
Message & | operator<< (const std::array< _Element, _Size > &items)
template<typename _Enum, typename = std::enable_if_t<std::is_enum_v<_Enum>>>
Message & | operator<< (const _Enum &item)
template<typename _Key, typename _Value>
Message & | operator<< (const DictEntry< _Key, _Value > &value)
template<typename _Key, typename _Value, typename _Compare, typename _Allocator>
Message & | operator<< (const std::map< _Key, _Value, _Compare, _Allocator > &items)
template<typename _Key, typename _Value, typename _Hash, typename _KeyEqual, typename _Allocator>
Message & | operator<< (const std::unordered_map< _Key, _Value, _Hash, _KeyEqual, _Allocator > &items)
template<typename... _ValueTypes>
Message & | operator<< (const Struct< _ValueTypes... > &item)
template<typename... _ValueTypes>
Message & | operator<< (const std::tuple< _ValueTypes... > &item)
Message & | operator>> (bool &item)
Message & | operator>> (int16_t &item)
Message & | operator>> (int32_t &item)
Message & | operator>> (int64_t &item)
Message & | operator>> (uint8_t &item)
Message & | operator>> (uint16_t &item)
Message & | operator>> (uint32_t &item)
Message & | operator>> (uint64_t &item)
Message & | operator>> (double &item)
Message & | operator>> (char *&item)
Message & | operator>> (std::string &item)
Message & | operator>> (Variant &item)
template<typename ... Elements>
Message & | operator>> (std::variant< Elements... > &value)
Message & | operator>> (ObjectPath &item)
Message & | operator>> (Signature &item)
Message & | operator>> (UnixFd &item)
template<typename _Element, typename _Allocator>
Message & | operator>> (std::vector< _Element, _Allocator > &items)
template<typename _Element, std::size_t _Size>
Message & | operator>> (std::array< _Element, _Size > &items)
template<typename _Enum, typename = std::enable_if_t<std::is_enum_v<_Enum>>>
Message & | operator>> (_Enum &item)
template<typename _Key, typename _Value>
Message & | operator>> (DictEntry< _Key, _Value > &value)
template<typename _Key, typename _Value, typename _Compare, typename _Allocator>
Message & | operator>> (std::map< _Key, _Value, _Compare, _Allocator > &items)
template<typename _Key, typename _Value, typename _Hash, typename _KeyEqual, typename _Allocator>
Message & | operator>> (std::unordered_map< _Key, _Value, _Hash, _KeyEqual, _Allocator > &items)
template<typename... _ValueTypes>
Message & | operator>> (Struct< _ValueTypes... > &item)
template<typename... _ValueTypes>
Message & | operator>> (std::tuple< _ValueTypes... > &item)
template<typename _ElementType>
Message & | openContainer ()
Message & | openContainer (const char *signature)
Message & | closeContainer ()
template<typename _KeyType, typename _ValueType>
Message & | openDictEntry ()
Message & | openDictEntry (const char *signature)
Message & | closeDictEntry ()
template<typename _ValueType>
Message & | openVariant ()
Message & | openVariant (const char *signature)
Message & | closeVariant ()
template<typename... _ValueTypes>
Message & | openStruct ()
Message & | openStruct (const char *signature)
Message & | closeStruct ()
template<typename _ElementType>
Message & | enterContainer ()
Message & | enterContainer (const char *signature)
Message & | exitContainer ()
template<typename _KeyType, typename _ValueType>
Message & | enterDictEntry ()
Message & | enterDictEntry (const char *signature)
Message & | exitDictEntry ()
template<typename _ValueType>
Message & | enterVariant ()
Message & | enterVariant (const char *signature)
Message & | exitVariant ()
template<typename... _ValueTypes>
Message & | enterStruct ()
Message & | enterStruct (const char *signature)
Message & | exitStruct ()
Message & | appendArray (char type, const void *ptr, size_t size)
Message & | readArray (char type, const void **ptr, size_t *size)
template<typename _Key, typename _Value, typename _Callback>
Message & | serializeDictionary (const _Callback &callback)
template<typename _Key, typename _Value>
Message & | serializeDictionary (const std::initializer_list< DictEntry< _Key, _Value > > &dictEntries)
template<typename _Key, typename _Value, typename _Callback>
Message & | deserializeDictionary (const _Callback &callback)
| operator bool () const
void | clearFlags ()
const char * | getInterfaceName () const
const char * | getMemberName () const
const char * | getSender () const
const char * | getPath () const
const char * | getDestination () const
uint64_t | getCookie () const
std::pair< char, const char * > | peekType () const
bool | isValid () const
bool | isEmpty () const
bool | isAtEnd (bool complete) const
void | copyTo (Message &destination, bool complete) const
void | seal ()
void | rewind (bool complete)
pid_t | getCredsPid () const
uid_t | getCredsUid () const
uid_t | getCredsEuid () const
gid_t | getCredsGid () const
gid_t | getCredsEgid () const
std::vector< gid_t > | getCredsSupplementaryGids () const
std::string | getSELinuxContext () const

## Protected Member Functions

| MethodCall (void *msg, internal::IConnection *connection, adopt_message_t) noexcept
Protected Member Functions inherited from sdbus::Message
| Message (internal::IConnection *connection) noexcept
| Message (void *msg, internal::IConnection *connection) noexcept
| Message (void *msg, internal::IConnection *connection, adopt_message_t) noexcept

## Additional Inherited Members

Protected Attributes inherited from sdbus::Message
friend | Factory
void * | msg_ {}
internal::IConnection * | connection_ {}
bool | ok_ {true}

The documentation for this class was generated from the following file:

- include/sdbus-c++/Message.h